## org.pentaho.reporting.libraries.formula.parser
Interface GeneratedFormulaParserConstants

All Known Implementing Classes:
  FormulaParser, GeneratedFormulaParser, GeneratedFormulaParserTokenManager

    public interface GeneratedFormulaParserConstants

Token literal values and constants. Generated by org.javacc.parser.OtherFilesGen#start()

Field Summary
`static int` `APPROXIMATE_NUMERIC_LITERAL` RegularExpression Id.
`static int` `BINARY_DIGIT` RegularExpression Id.
`static int` `COLON` RegularExpression Id.
`static int` `COLUMN_LOOKUP` RegularExpression Id.
`static int` `COMMA` RegularExpression Id.
`static int` `CONCAT` RegularExpression Id.
`static int` `DEFAULT` Lexical state.
`static int` `DIGIT` RegularExpression Id.
`static int` `DIV` RegularExpression Id.
`static int` `DQUOTE` RegularExpression Id.
`static int` `EOF` End of File.
`static int` `EQUALS` RegularExpression Id.
`static int` `EXACT_NUMERIC_LITERAL` RegularExpression Id.
`static int` `EXPONENT_PART` RegularExpression Id.
`static int` `GT` RegularExpression Id.
`static int` `GT_EQUALS` RegularExpression Id.
`static int` `HEX_DIGIT` RegularExpression Id.
`static int` `IDENTIFIER` RegularExpression Id.
`static int` `L_BRACE` RegularExpression Id.
`static int` `L_BRACKET` RegularExpression Id.
`static int` `L_PAREN` RegularExpression Id.
`static int` `LETTER` RegularExpression Id.
`static int` `LT` RegularExpression Id.
`static int` `LT_EQUALS` RegularExpression Id.
`static int` `MANTISSA` RegularExpression Id.
`static int` `MINUS` RegularExpression Id.
`static int` `MULT` RegularExpression Id.
`static int` `NEWLINE` RegularExpression Id.
`static int` `NON_ZERO_DIGIT` RegularExpression Id.
`static int` `NONQUOTE_CHARACTER` RegularExpression Id.
`static int` `NONQUOTE_LOOKUP` RegularExpression Id.
`static int` `NOT_EQUALS` RegularExpression Id.
`static int` `NULL` RegularExpression Id.
`static int` `PERCENT` RegularExpression Id.
`static int` `PERIOD` RegularExpression Id.
`static int` `PIPE` RegularExpression Id.
`static int` `PLUS` RegularExpression Id.
`static int` `POW` RegularExpression Id.
`static int` `QUEST` RegularExpression Id.
`static int` `QUOTE` RegularExpression Id.
`static int` `R_BRACE` RegularExpression Id.
`static int` `R_BRACKET` RegularExpression Id.
`static int` `R_PAREN` RegularExpression Id.
`static int` `SEMICOLON` RegularExpression Id.
`static int` `SIGN` RegularExpression Id.
`static int` `STRING_LITERAL` RegularExpression Id.
`static java.lang.String[]` `tokenImage` Literal token values.
`static int` `UNSIGNED_INTEGER` RegularExpression Id.
`static int` `UNSIGNED_NUMERIC_LITERAL` RegularExpression Id.
`static int` `WHITESPACE` RegularExpression Id.

Field Detail

### EOF

    static final int EOF

  End of File.

  See Also:
    Constant Field Values

### WHITESPACE

    static final int WHITESPACE

  RegularExpression Id.

  See Also:
    Constant Field Values

### LETTER

    static final int LETTER

  RegularExpression Id.

  See Also:
    Constant Field Values

### NON_ZERO_DIGIT

    static final int NON_ZERO_DIGIT

  RegularExpression Id.

  See Also:
    Constant Field Values

### DIGIT

    static final int DIGIT

  RegularExpression Id.

  See Also:
    Constant Field Values

### HEX_DIGIT

    static final int HEX_DIGIT

  RegularExpression Id.

  See Also:
    Constant Field Values

### BINARY_DIGIT

    static final int BINARY_DIGIT

  RegularExpression Id.

  See Also:
    Constant Field Values

### UNSIGNED_INTEGER

    static final int UNSIGNED_INTEGER

  RegularExpression Id.

  See Also:
    Constant Field Values

### EXPONENT_PART

    static final int EXPONENT_PART

  RegularExpression Id.

  See Also:
    Constant Field Values

### NEWLINE

    static final int NEWLINE

  RegularExpression Id.

  See Also:
    Constant Field Values

### NONQUOTE_CHARACTER

    static final int NONQUOTE_CHARACTER

  RegularExpression Id.

  See Also:
    Constant Field Values

### NONQUOTE_LOOKUP

    static final int NONQUOTE_LOOKUP

  RegularExpression Id.

  See Also:
    Constant Field Values

### COMMA

    static final int COMMA

  RegularExpression Id.

  See Also:
    Constant Field Values

### PERIOD

    static final int PERIOD

  RegularExpression Id.

  See Also:
    Constant Field Values

### COLON

    static final int COLON

  RegularExpression Id.

  See Also:
    Constant Field Values

### QUOTE

    static final int QUOTE

  RegularExpression Id.

  See Also:
    Constant Field Values

### DQUOTE

    static final int DQUOTE

  RegularExpression Id.

  See Also:
    Constant Field Values

### SEMICOLON

    static final int SEMICOLON

  RegularExpression Id.

  See Also:
    Constant Field Values

### L_PAREN

    static final int L_PAREN

  RegularExpression Id.

  See Also:
    Constant Field Values

### R_PAREN

    static final int R_PAREN

  RegularExpression Id.

  See Also:
    Constant Field Values

### L_BRACKET

    static final int L_BRACKET

  RegularExpression Id.

  See Also:
    Constant Field Values

### R_BRACKET

    static final int R_BRACKET

  RegularExpression Id.

  See Also:
    Constant Field Values

### QUEST

    static final int QUEST

  RegularExpression Id.

  See Also:
    Constant Field Values

### L_BRACE

    static final int L_BRACE

  RegularExpression Id.

  See Also:
    Constant Field Values

### R_BRACE

    static final int R_BRACE

  RegularExpression Id.

  See Also:
    Constant Field Values

### PIPE

    static final int PIPE

  RegularExpression Id.

  See Also:
    Constant Field Values

### PLUS

    static final int PLUS

  RegularExpression Id.

  See Also:
    Constant Field Values

### MINUS

    static final int MINUS

  RegularExpression Id.

  See Also:
    Constant Field Values

### MULT

    static final int MULT

  RegularExpression Id.

  See Also:
    Constant Field Values

### DIV

    static final int DIV

  RegularExpression Id.

  See Also:
    Constant Field Values

### POW

    static final int POW

  RegularExpression Id.

  See Also:
    Constant Field Values

### EQUALS

    static final int EQUALS

  RegularExpression Id.

  See Also:
    Constant Field Values

### NOT_EQUALS

    static final int NOT_EQUALS

  RegularExpression Id.

  See Also:
    Constant Field Values

### LT_EQUALS

    static final int LT_EQUALS

  RegularExpression Id.

  See Also:
    Constant Field Values

### GT_EQUALS

    static final int GT_EQUALS

  RegularExpression Id.

  See Also:
    Constant Field Values

### LT

    static final int LT

  RegularExpression Id.

  See Also:
    Constant Field Values

### GT

    static final int GT

  RegularExpression Id.

  See Also:
    Constant Field Values

### CONCAT

    static final int CONCAT

  RegularExpression Id.

  See Also:
    Constant Field Values

### PERCENT

    static final int PERCENT

  RegularExpression Id.

  See Also:
    Constant Field Values

### IDENTIFIER

    static final int IDENTIFIER

  RegularExpression Id.

  See Also:
    Constant Field Values

### COLUMN_LOOKUP

    static final int COLUMN_LOOKUP

  RegularExpression Id.

  See Also:
    Constant Field Values

### STRING_LITERAL

    static final int STRING_LITERAL

  RegularExpression Id.

  See Also:
    Constant Field Values

### UNSIGNED_NUMERIC_LITERAL

    static final int UNSIGNED_NUMERIC_LITERAL

  RegularExpression Id.

  See Also:
    Constant Field Values

### EXACT_NUMERIC_LITERAL

    static final int EXACT_NUMERIC_LITERAL

  RegularExpression Id.

  See Also:
    Constant Field Values

### APPROXIMATE_NUMERIC_LITERAL

    static final int APPROXIMATE_NUMERIC_LITERAL

  RegularExpression Id.

  See Also:
    Constant Field Values

### MANTISSA

    static final int MANTISSA

  RegularExpression Id.

  See Also:
    Constant Field Values

### SIGN

    static final int SIGN

  RegularExpression Id.

  See Also:
    Constant Field Values

### NULL

    static final int NULL

  RegularExpression Id.

  See Also:
    Constant Field Values

### DEFAULT

    static final int DEFAULT

  Lexical state.

  See Also:
    Constant Field Values

### tokenImage

    static final java.lang.String[] tokenImage

  Literal token values.